
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_followmessage")]
    public class BaseFollowmessage
    {

        [Key]
        [Column("id")]
        public string id { get; set; }

        /// <summary>
        /// 父订单id
        /// </summary>
        [Column("sid")]
        public string sid { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [Column("vin_code")]
        public string vinCode { get; set; }

        /// <summary>
        /// 任务上件站点
        /// </summary>
        [Column("up_site")]
        public string upSite { get; set; }

        /// <summary>
        /// 任务下件站点
        /// </summary>
        [Column("down_site")]
        public string downSite { get; set; }

        /// <summary>
        /// 挂具号
        /// </summary>
        [Column("car_no")]
        public int carNo { get; set; }

        /// <summary>
        /// 产品名称
        /// </summary>
        [Column("material_name")]
        public string materialName { get; set; }

        /// <summary>
        /// 生产线别
        /// </summary>
        [Column("line_code")]
        public string lineCode { get; set; }

        /// <summary>
        /// 线别名称
        /// </summary>
        [Column("line_name")]
        public string lineName { get; set; }

        /// <summary>
        /// 订单是否完成0未完成1完成
        /// </summary>
        [Column("IsOver")]
        public int? isover { get; set; }

        /// <summary>
        /// 计划开始时间
        /// </summary>
        [Column("est")]
        public DateTime? est { get; set; }

        /// <summary>
        /// 计划数量
        /// </summary>
        [Column("Quantity")]
        public int? quantity { get; set; }

        /// <summary>
        /// 下线数量
        /// </summary>
        [Column("ActualQuantity")]
        public int? actualquantity { get; set; }

        /// <summary>
        /// 订单生产顺序
        /// </summary>
        [Column("production_sequence")]
        public int? productionSequence { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 下线记录创建时间
        /// </summary>
        [Column("create_date")]
        public DateTime? createDate { get; set; }
    }
}

